# Delete agreement attachment

## DELETE /public/v1/commerce/agreements/{agreementId}/attachments/{id}

> Deletes an agreement attachment.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5164-g77db55e8"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/commerce/agreements/{agreementId}/attachments/{id}":{"delete":{"tags":["AgreementsAttachments"],"summary":"Deletes an agreement attachment.","parameters":[{"name":"agreementId","in":"path","description":"Agreement id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Attachment id","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
